Loading...
Searching...
No Matches
BALL::StaticLigandFragment Class Reference

`#include <BALL/DOCKING/COMMON/staticLigandFragment.h>`

## Classes

struct | Connection

## Public Attributes

int | ID
list< Atom * > | atoms
vector< Connection > | connections
Vector3 | force
Vector3 | force_axis
Vector3 | center

## Detailed Description

Definition at line 18 of file staticLigandFragment.h.

## Member Data Documentation

## atoms

list<Atom*> BALL::StaticLigandFragment::atoms

all atoms of this ligand fragment

Definition at line 27 of file staticLigandFragment.h.

## center

Vector3 BALL::StaticLigandFragment::center

the geometrical center of the ligand fragment

Definition at line 38 of file staticLigandFragment.h.

## connections

vector<Connection> BALL::StaticLigandFragment::connections

Definition at line 29 of file staticLigandFragment.h.

## force

Vector3 BALL::StaticLigandFragment::force

the overall force of the entire fragment

Definition at line 32 of file staticLigandFragment.h.

## force_axis

Vector3 BALL::StaticLigandFragment::force_axis

direction of the fragment force; i.e. the sum of the absolute values of the atom forces

Definition at line 35 of file staticLigandFragment.h.

## ID

int BALL::StaticLigandFragment::ID

the position of this fragment within ligand_fragments_

Definition at line 24 of file staticLigandFragment.h.